## dactyl 1.0~b6

=== common/Makefile ===
#### configuration

TOP           = $(shell pwd)
OS            = $(shell uname -s)
BUILD_DATE    = $(shell date "+%Y/%m/%d %H:%M:%S")
BASE          = $(TOP)/../common
GOOGLE_PROJ   = dactyl
GOOGLE	      = https://$(GOOGLE_PROJ).googlecode.com/files
VERSION	     ?= $(shell sed -n 's/.*em:version\(>\|="\)\(.*\)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
UUID   	     := $(shell sed -n 's/.*em:id\(>\|="\)\(.*\)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
MANGLE	     := $(shell date '+%s' | awk '{ printf "%x", $$1 }')
MOZMILL       = mozmill
HOSTAPP_PATH  = $(shell which $(HOSTAPP))
TEST_DIR      = $(BASE)/tests/functional
TEST_LOG      = $(TEST_DIR)/log

IDNAME       := $(shell echo "$(NAME)" | tr a-z A-Z)

LOCALEDIR     = locale
DOC_FILES     = $(wildcard $(LOCALEDIR)/*/*.xml)

export VERSION BUILD_DATE
MAKE_JAR      = sh $(BASE)/make_jar.sh

# TODO: specify source files manually?
JAR_BASES     = $(TOP) $(BASE)
JAR_DIRS      = content skin locale modules
JAR_TEXTS     = js jsm css dtd xml xul html xhtml xsl properties
JAR_BINS      = png

CHROME	      = $(MANGLE)/
JAR           = $(CHROME)$(NAME).jar

XPI_BASES     = $(JAR_BASES) $(TOP)/..
XPI_FILES     = bootstrap.js TODO AUTHORS Donors NEWS LICENSE.txt
XPI_DIRS      = components $(MANGLE) defaults
XPI_TEXTS     = js jsm $(JAR_TEXTS)
XPI_BINS      = $(JAR_BINS)

XPI_NAME      = $(NAME)-$(VERSION)
XPI           =  ../downloads/$(XPI_NAME).xpi
XPI_PATH      = $(TOP)/$(XPI:%.xpi=%)

RDF           = ../downloads/update.rdf
RDF_IN        = $(RDF).in

BUILD_DIR     = build.$(VERSION).$(OS)

AWK       ?= awk
B64ENCODE ?= base64
CURL      ?= curl
SED       := $(shell if [ "xoo" = x$$(echo foo | sed -E 's/f(o)/\1/' 2>/dev/null) ]; \
		     then echo sed -E; else echo sed -r;			     \
		     fi)

.SILENT:

#### rules

TARGETS = all help info jar xpi install clean distclean install installxpi test $(CHROME) $(JAR)
$(TARGETS:%=\%.%):
	echo MAKE $* $(@:$*.%=%)
	$(MAKE) -C $* $(@:$*.%=%)

.PHONY: $(TARGETS)
all: help

help:
	@echo "$(NAME) $(VERSION) build"
	@echo
	@echo "  make help       - display this help"
	@echo "  make info       - show some info about the system"
	@echo "  make jar        - build a JAR ($(JAR))"
	@echo "  make xpi        - build an XPI ($(XPI_NAME))"
	@echo "  make installxpi - build an XPI and install it to your profile"
	@echo "  make install    - installs this source tree directly to your $(HOSTAPP) profile"
	@echo '                    set $$PROFILE to select a profile by name and $$PROFILEPATHS'
	@echo '                    to change the directory where profiles are searched'
	@echo "  make release    - updates update.rdf (this is not for you)"
	@echo "  make dist       - uploads to Google Code (this is not for you)"
	@echo "  make clean      - clean up"
	@echo "  make distclean  - clean up more"
	@echo "  make test       - run functional tests"
	@echo
	@echo "running some commands with V=1 will show more build details"

info:
	@echo "version             $(VERSION)"
	@echo "release file        $(XPI)"
	@echo "doc files           $(DOC_FILES)"
	@echo "xpi files           $(XPI_FILES)"

jar: $(JAR)

release: $(XPI) $(RDF)

# This is not for you!
dist: $(XPI)
	@echo DIST $(XPI) $(GOOGLE)
	set -e;							        	\
								        	\
	proj=$$(echo -n $(NAME) | sed 's/\(.\).*/\1/' | tr a-z A-Z);    	\
	proj="$$proj$$(echo $(NAME) | sed 's/.//')";                    	\
	[ -z "$$summary" ] && summary="$$proj $(VERSION) Release"; 		\
	labels="Project-$$proj,$(labels)";					\
	[ -n "$(featured)" ] && labels="$$labels,Featured";             	\
								        	\
	IFS=,; for l in $$labels; do						\
		set -- "$$@" --form-string "label=$$l";				\
	done;									\
	auth=$$(echo -n "$(GOOGLE_USER):$(GOOGLE_PASS)" | $(B64ENCODE));	\
	$(CURL) "$$@" --form-string "summary=$$summary" 			\
		-F "filename=@$(XPI)"						\
		-H "Authorization: Basic $$auth"				\
		-i "$(GOOGLE)" | sed -n '/^Location/{p;q;}'

install:
	export dir; 								\
	for dir in $(PROFILEPATHS); do 						\
		test -f "$$dir/profiles.ini" && break; 				\
	done; 									\
										\
	profile=$$(sed 's/^$$/\#/' "$$dir/profiles.ini" |			\
		awk -v"profile=$(PROFILE)" 					\
			'BEGIN { RS="#" } 					\
			index($$0, "\nName=" profile "\n") { print; exit } 	\
			!profile && /\nName=default\n/ { args["name=default"] = $$0 } 	\
			!profile && /\nDefault=1/ { args["default=1"] = $$0 } 	\
			END {							\
				if (args["default=1"]) print args["default=1"];	\
				else print args["name=default"]			\
			}' |							\
		awk -F= '{ args[$$1] = $$2 } 					\
		END {								\
			if (args["IsRelative"]) print ENVIRON["dir"] "/" args["Path"];	\
			else print args["Path"]					\
		}'); 								\
										\
	if ! test -d "$$profile"; then 						\
		echo >&2 "Can't locate profile directory"; 			\
		exit 1; 							\
	fi; 									\
										\
	ext="$$profile/extensions/$(UUID)"; 					\
	mkdir -p "$$(dirname "$$ext")"; 					\
	rm -rf "$$ext.xpi" "$$ext"; 						\
	echo "Installing to $$ext"; 						\
	if which cygpath >/dev/null 2>&1; 					\
	then cygpath -wa .; 							\
	else pwd; 								\
	fi >"$$ext"
installxpi: xpi
	$(HOSTAPP) $(XPI)

$(RDF): $(RDF_IN) Makefile
	@echo "Preparing release..."
	$(SED) -e "s,@VERSION@,$(VERSION),g" \
	           -e "s,@DATE@,$(BUILD_DATE),g" \
	           < $< > $@
	@echo "SUCCESS: $@"

clean:
	@echo "General $(NAME) cleanup..."
	rm -f $(JAR) $(XPI)

distclean:
	@echo "More $(NAME) cleanup..."
	rm -rf $(BUILD_DIR)

test: xpi
	@echo "Running $(NAME) functional tests..."
	$(IDNAME)_INIT="set loadplugins=" \
		$(MOZMILL) --show-all -l $(TEST_LOG) -b $(HOSTAPP_PATH) --addons $(XPI) -t $(TEST_DIR)

#### xpi

xpi: $(CHROME)
	@echo "Building XPI..."
	mkdir -p "$(XPI_PATH)"
	
	$(AWK) -v 'name=$(NAME)' -v 'suffix=$(MANGLE)' \
	       -f $(BASE)/process_manifest.awk \
	       "$(TOP)/chrome.manifest" >"$(XPI_PATH)/chrome.manifest"
	
	version="$(VERSION)"; 			\
	hg root >/dev/null 2>&1 && 		\
	case "$$version" in			\
	*pre) version="$$version-hg$$(hg log -r . --template '{rev}')-$$(hg branch)";; \
	esac; 					\
	$(SED) -e 's/(em:version(>|="))([^"<]+)/\1'"$$version/" \
		<"$(TOP)/install.rdf" >"$(XPI_PATH)/install.rdf"
	
	$(MAKE_JAR) "$(XPI)" "$(XPI_BASES)" "$(XPI_DIRS)" "$(XPI_TEXTS)" "$(XPI_BINS)" "$(XPI_FILES)"
	rm -r -- $(CHROME)
	@echo "Built XPI: $(XPI)"

#### jar

$(CHROME) $(JAR):
	@echo "Packaging chrome..."
	$(MAKE_JAR) -r "$(@)" "$(JAR_BASES)" "$(JAR_DIRS)" "$(JAR_TEXTS)" "$(JAR_BINS)" "$(JAR_FILES)"
	@echo "SUCCESS: $@"

=== pentadactyl/Makefile ===
#### configuration

NAME          = pentadactyl

FIREFOX      ?= firefox
HOSTAPP      ?= $(FIREFOX)
PROFILEPATHS ?= "$$HOME/.mozilla/firefox" \
		"$$HOME/Library/Mozilla/Firefox" \
		"$$APPDATA/Mozilla/Firefox" \
		"$$AppData/Mozilla/Firefox"

include ../common/Makefile

=== debian/changelog ===
dactyl (1.0~b6-2) unstable; urgency=low

  * Ship NEWS in /usr/share/xul-ext/pentadactyl/.  :help needs this to
    generate the dactyl://help/versions page, closes: #637919.

 -- Michael Schutte <michi@debian.org>  Sun, 21 Aug 2011 09:40:32 +0200

dactyl (1.0~b6-1) unstable; urgency=low

  * Initial release, closes: #634847.  Only build pentadactyl for now.

 -- Michael Schutte <michi@debian.org>  Tue, 26 Jul 2011 12:03:07 +0200

=== debian/control ===
Source: dactyl
Section: web
Priority: optional
Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>
Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.19~)
Standards-Version: 3.9.2
Homepage: http://dactyl.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-mozext/dactyl.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/dactyl.git

Package: xul-ext-pentadactyl
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Vim-inspired, keyboard-accessible user interface for Iceweasel/Firefox
 This Iceweasel/Firefox extension makes it possible to control the
 browser almost entirely by keyboard, in a manner similar to the Vim
 text editor.
 .
 This is a fork of Vimperator that retains more of the look and feel of
 older Vimperator versions.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGES=pentadactyl # teledactyl melodactyl
VERSION=$(shell dpkg-parsechangelog | \
	sed -n -e '/^Version:/ { s/^Version:\s*//; s/[^a-z0-9]/_/g; p }')

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	make DIRS=$(PACKAGES) MANGLE=chrome XPI_FILES='bootstrap.js NEWS' xpi

override_dh_auto_install:
	for PACKAGE in $(PACKAGES); \
		do install-xpi -p xul-ext-$$PACKAGE downloads/$$PACKAGE-*.xpi; \
		done

override_dh_auto_clean:
	make DIRS=$(PACKAGES) clean
	for PACKAGE in $(PACKAGES); \
		do rm -f $$PACKAGE/chrome.zip; \
		done

override_dh_installchangelogs:
	for PACKAGE in $(PACKAGES); \
		do dh_installchangelogs -p xul-ext-$$PACKAGE $$PACKAGE/NEWS; \
		done

UPSTREAM_REPO=../upstream
UPSTREAM_REVISION=pentadactyl-1.0b6
UPSTREAM_DEST=$(shell pwd)/dactyl.tar.gz

get-orig-source:
	rm -f .hg-repo-created
	test -d $(UPSTREAM_REPO) || ( cd `dirname $(UPSTREAM_REPO)` && \
		hg clone http://dactyl.googlecode.com/hg/ `basename $(UPSTREAM_REPO)` && \
		touch .hg-repo-created )
	hg --cwd $(UPSTREAM_REPO) pull
	hg --cwd $(UPSTREAM_REPO) update
	hg --cwd $(UPSTREAM_REPO) archive \
		-r $(UPSTREAM_REVISION) -p dactyl \
		-X .hgtags -X common/javascript.vim \
		-t tgz $(UPSTREAM_DEST)
	test ! -f .hg-repo-created || ( rm -rf $(UPSTREAM_REPO); rm -f .hg-repo-created )

## dactyl 1.0~b7.1

=== common/Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
 #### configuration
+
+
+AWK       ?= awk
+B64ENCODE ?= base64
+CURL      ?= curl
+SED       := $(shell if [ "xoo" = x$$(echo foo | sed -E 's/f(o)/\1/' 2>/dev/null) ]; \
+		     then echo sed -E; else echo sed -r;			     \
+		     fi)
 
 TOP           = $(shell pwd)
 OS            = $(shell uname -s)
@@ -6,8 +14,8 @@
 BASE          = $(TOP)/../common
 GOOGLE_PROJ   = dactyl
 GOOGLE	      = https://$(GOOGLE_PROJ).googlecode.com/files
-VERSION	     ?= $(shell sed -n 's/.*em:version\(>\|="\)\(.*\)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
-UUID   	     := $(shell sed -n 's/.*em:id\(>\|="\)\(.*\)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
+VERSION	     ?= $(shell $(SED) -n 's/.*em:version(>|=")(.*)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
+UUID   	     := $(shell $(SED) -n 's/.*em:id(>|=")(.*)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
 MANGLE	     := $(shell date '+%s' | awk '{ printf "%x", $$1 }')
 MOZMILL       = mozmill
 HOSTAPP_PATH  = $(shell which $(HOSTAPP))
@@ -45,13 +53,6 @@
 RDF_IN        = $(RDF).in
 
 BUILD_DIR     = build.$(VERSION).$(OS)
-
-AWK       ?= awk
-B64ENCODE ?= base64
-CURL      ?= curl
-SED       := $(shell if [ "xoo" = x$$(echo foo | sed -E 's/f(o)/\1/' 2>/dev/null) ]; \
-		     then echo sed -E; else echo sed -r;			     \
-		     fi)
 
 .SILENT:
 
@@ -121,7 +122,7 @@
 	done; 									\
 										\
 	profile=$$(sed 's/^$$/\#/' "$$dir/profiles.ini" |			\
-		awk -v"profile=$(PROFILE)" 					\
+		awk -v "profile=$(PROFILE)"					\
 			'BEGIN { RS="#" } 					\
 			index($$0, "\nName=" profile "\n") { print; exit } 	\
 			!profile && /\nName=default\n/ { args["name=default"] = $$0 } 	\
@@ -177,11 +178,11 @@
 xpi: $(CHROME)
 	@echo "Building XPI..."
 	mkdir -p "$(XPI_PATH)"
-	
+
 	$(AWK) -v 'name=$(NAME)' -v 'suffix=$(MANGLE)' \
 	       -f $(BASE)/process_manifest.awk \
 	       "$(TOP)/chrome.manifest" >"$(XPI_PATH)/chrome.manifest"
-	
+
 	version="$(VERSION)"; 			\
 	hg root >/dev/null 2>&1 && 		\
 	case "$$version" in			\
@@ -189,7 +190,7 @@
 	esac; 					\
 	$(SED) -e 's/(em:version(>|="))([^"<]+)/\1'"$$version/" \
 		<"$(TOP)/install.rdf" >"$(XPI_PATH)/install.rdf"
-	
+
 	$(MAKE_JAR) "$(XPI)" "$(XPI_BASES)" "$(XPI_DIRS)" "$(XPI_TEXTS)" "$(XPI_BINS)" "$(XPI_FILES)"
 	rm -r -- $(CHROME)
 	@echo "Built XPI: $(XPI)"

=== melodactyl/contrib/vim/Makefile ===
VIMBALL = melodactyl.vba

vimball: mkvimball.txt syntax/melodactyl.vim ftdetect/melodactyl.vim
	-echo '%MkVimball! ${VIMBALL} .' | vim -u NORC -N -e -s mkvimball.txt

all: vimball

clean:
	rm -f ${VIMBALL}

=== pentadactyl/contrib/vim/Makefile ===
VIMBALL = pentadactyl.vba

vimball: mkvimball.txt syntax/pentadactyl.vim ftdetect/pentadactyl.vim
	-echo '%MkVimball! ${VIMBALL} .' | vim -u NORC -N -e -s mkvimball.txt

all: vimball

clean:
	rm -f ${VIMBALL}

=== teledactyl/contrib/vim/Makefile ===
VIMBALL = teledactyl.vba

vimball: mkvimball.txt syntax/teledactyl.vim ftdetect/teledactyl.vim
	-echo '%MkVimball! ${VIMBALL} .' | vim -u NORC -N -e -s mkvimball.txt

all: vimball

clean:
	rm -f ${VIMBALL}

=== debian/changelog ===
dactyl (1.0~b7.1-1) unstable; urgency=low

  * New upstream version; supports Iceweasel/Firefox versions up to 8.*.
  * No source changes needed for this upload, drop debian/patches/.
  * debian/copyright: Add Mozilla Foundation copyright on Mozmill.

 -- Michael Schutte <michi@debian.org>  Sat, 08 Oct 2011 19:41:36 +0200

## dactyl 1.0~rc1

=== common/Makefile ===
--- 
+++ 
@@ -32,15 +32,16 @@
 
 # TODO: specify source files manually?
 JAR_BASES     = $(TOP) $(BASE)
+JAR_FILES     = config.json
 JAR_DIRS      = content skin locale modules
-JAR_TEXTS     = js jsm css dtd xml xul html xhtml xsl properties
+JAR_TEXTS     = js jsm css dtd xml xul html xhtml xsl properties json
 JAR_BINS      = png
 
 CHROME	      = $(MANGLE)/
 JAR           = $(CHROME)$(NAME).jar
 
 XPI_BASES     = $(JAR_BASES) $(TOP)/..
-XPI_FILES     = bootstrap.js TODO AUTHORS Donors NEWS LICENSE.txt
+XPI_FILES     = icon.png icon64.png bootstrap.js TODO AUTHORS Donors NEWS LICENSE.txt
 XPI_DIRS      = components $(MANGLE) defaults
 XPI_TEXTS     = js jsm $(JAR_TEXTS)
 XPI_BINS      = $(JAR_BINS)
@@ -142,14 +143,20 @@
 		exit 1; 							\
 	fi; 									\
 										\
-	ext="$$profile/extensions/$(UUID)"; 					\
-	mkdir -p "$$(dirname "$$ext")"; 					\
-	rm -rf "$$ext.xpi" "$$ext"; 						\
-	echo "Installing to $$ext"; 						\
-	if which cygpath >/dev/null 2>&1; 					\
-	then cygpath -wa .; 							\
-	else pwd; 								\
-	fi >"$$ext"
+	install() {								\
+		ext="$$profile/extensions/$$2"; 				\
+		mkdir -p "$$(dirname "$$ext")"; 				\
+		rm -rf "$$ext.xpi" "$$ext"; 					\
+										\
+		echo "Installing $$2 to $$ext";					\
+		if which cygpath >/dev/null 2>&1; 				\
+		then cygpath -wa $$1; 						\
+		else (cd $$1; pwd);						\
+		fi >"$$ext";							\
+	};									\
+	install . $(UUID);							\
+	install ../binary binary@dactyl.googlecode.com;				\
+
 installxpi: xpi
 	$(HOSTAPP) $(XPI)

=== debian/changelog ===
dactyl (1.0~rc1-1) unstable; urgency=low

  * New upstream version.
    - Supports Iceweasel/Firefox versions up to 11.*, closes: #653433.
  * debian/copyright: Do not combine license text with references in the
    License: line.
  * debian/rules: Add an explicitly .PHONY “binary” rule so make does not get
    confused by the new binary/ directory introduced by upstream.

 -- Michael Schutte <michi@debian.org>  Wed, 28 Dec 2011 21:23:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 %:
 	dh $@ --with xul-ext
+
+# this silliness is needed due to the binary/ directory in the project root
+.PHONY: binary
+binary:
+	dh binary --with xul-ext
 
 override_dh_auto_build:
 	make DIRS=$(PACKAGES) MANGLE=chrome XPI_FILES='bootstrap.js NEWS' xpi
@@ -27,7 +32,7 @@
 		done
 
 UPSTREAM_REPO=../upstream
-UPSTREAM_REVISION=pentadactyl-1.0b6
+UPSTREAM_REVISION=pentadactyl-1.0rc1
 UPSTREAM_DEST=$(shell pwd)/dactyl.tar.gz
 
 get-orig-source:

## dactyl 1.1%2bhg7904

=== common/Makefile ===
--- 
+++ 
@@ -1,11 +1,17 @@
 #### configuration
 
 
+_SH       := $(shell if which dash >/dev/null 2>&1; \
+		     then echo dash; \
+		     else echo sh;   \
+		     fi)
+SH        ?= $(_SH)
 AWK       ?= awk
 B64ENCODE ?= base64
 CURL      ?= curl
 SED       := $(shell if [ "xoo" = x$$(echo foo | sed -E 's/f(o)/\1/' 2>/dev/null) ]; \
-		     then echo sed -E; else echo sed -r;			     \
+		     then echo sed -E; \
+		     else echo sed -r; \
 		     fi)
 
 TOP           = $(shell pwd)
@@ -16,7 +22,7 @@
 GOOGLE	      = https://$(GOOGLE_PROJ).googlecode.com/files
 VERSION	     ?= $(shell $(SED) -n 's/.*em:version(>|=")(.*)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
 UUID   	     := $(shell $(SED) -n 's/.*em:id(>|=")(.*)["<].*/\2/p' $(TOP)/install.rdf | sed 1q)
-MANGLE	     := $(shell date '+%s' | awk '{ printf "%x", $$1 }')
+MANGLE	     := chrome
 MOZMILL       = mozmill
 HOSTAPP_PATH  = $(shell which $(HOSTAPP))
 TEST_DIR      = $(BASE)/tests/functional
@@ -28,7 +34,7 @@
 DOC_FILES     = $(wildcard $(LOCALEDIR)/*/*.xml)
 
 export VERSION BUILD_DATE
-MAKE_JAR      = sh $(BASE)/make_jar.sh
+MAKE_JAR      = $(SH) $(BASE)/make_jar.sh
 
 # TODO: specify source files manually?
 JAR_BASES     = $(TOP) $(BASE)
@@ -49,9 +55,6 @@
 XPI_NAME      = $(NAME)-$(VERSION)
 XPI           =  ../downloads/$(XPI_NAME).xpi
 XPI_PATH      = $(TOP)/$(XPI:%.xpi=%)
-
-RDF           = ../downloads/update.rdf
-RDF_IN        = $(RDF).in
 
 BUILD_DIR     = build.$(VERSION).$(OS)
 
@@ -78,7 +81,6 @@
 	@echo "  make install    - installs this source tree directly to your $(HOSTAPP) profile"
 	@echo '                    set $$PROFILE to select a profile by name and $$PROFILEPATHS'
 	@echo '                    to change the directory where profiles are searched'
-	@echo "  make release    - updates update.rdf (this is not for you)"
 	@echo "  make dist       - uploads to Google Code (this is not for you)"
 	@echo "  make clean      - clean up"
 	@echo "  make distclean  - clean up more"
@@ -93,28 +95,6 @@
 	@echo "xpi files           $(XPI_FILES)"
 
 jar: $(JAR)
-
-release: $(XPI) $(RDF)
-
-# This is not for you!
-dist: $(XPI)
-	@echo DIST $(XPI) $(GOOGLE)
-	set -e;							        	\
-								        	\
-	proj=$$(echo -n $(NAME) | sed 's/\(.\).*/\1/' | tr a-z A-Z);    	\
-	proj="$$proj$$(echo $(NAME) | sed 's/.//')";                    	\
-	[ -z "$$summary" ] && summary="$$proj $(VERSION) Release"; 		\
-	labels="Project-$$proj,$(labels)";					\
-	[ -n "$(featured)" ] && labels="$$labels,Featured";             	\
-								        	\
-	IFS=,; for l in $$labels; do						\
-		set -- "$$@" --form-string "label=$$l";				\
-	done;									\
-	auth=$$(echo -n "$(GOOGLE_USER):$(GOOGLE_PASS)" | $(B64ENCODE));	\
-	$(CURL) "$$@" --form-string "summary=$$summary" 			\
-		-F "filename=@$(XPI)"						\
-		-H "Authorization: Basic $$auth"				\
-		-i "$(GOOGLE)" | sed -n '/^Location/{p;q;}'
 
 install:
 	export dir; 								\
@@ -160,13 +140,6 @@
 installxpi: xpi
 	$(HOSTAPP) $(XPI)
 
-$(RDF): $(RDF_IN) Makefile
-	@echo "Preparing release..."
-	$(SED) -e "s,@VERSION@,$(VERSION),g" \
-	           -e "s,@DATE@,$(BUILD_DATE),g" \
-	           < $< > $@
-	@echo "SUCCESS: $@"
-
 clean:
 	@echo "General $(NAME) cleanup..."
 	rm -f $(JAR) $(XPI)
@@ -190,6 +163,10 @@
 	       -f $(BASE)/process_manifest.awk \
 	       "$(TOP)/chrome.manifest" >"$(XPI_PATH)/chrome.manifest"
 
+	$(AWK) -v 'name=$(NAME)' -v 'suffix=$(MANGLE)' \
+	       -f $(BASE)/process_config.awk \
+	       "$(TOP)/config.json" >"$(XPI_PATH)/config.json"
+
 	version="$(VERSION)"; 			\
 	hg root >/dev/null 2>&1 && 		\
 	case "$$version" in			\

## dactyl 1.1+hg7904

=== debian/changelog ===
dactyl (1.1+hg7904-0+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream revision which fixes compatibility with firefox 29
    (closes: #750032, #750359)

 -- Don Armstrong <don@debian.org>  Fri, 13 Jun 2014 12:52:52 -0700

dactyl (1.0+hg6976-1) unstable; urgency=low

  * New upstream revision 6976 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Fixes smooth scrolling with recent versions of Iceweasel/Firefox,
      closes: #723678.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Michael Schutte <michi@debian.org>  Sun, 01 Dec 2013 12:18:46 +0100

dactyl (1.0+hg6948-1) unstable; urgency=low

  * New upstream revision 6948 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Supports Iceweasel/Firefox versions up to 24, closes: #720447.

 -- Michael Schutte <michi@debian.org>  Mon, 09 Sep 2013 17:04:25 +0200

dactyl (1.0+hg6924-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream revision 6924 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Supports Iceweasel/Firefox versions up to 22.0a1, closes: #706990.
  * Use Git URLs with an anonscm.debian.org host part for the VCS pointers in
    debian/control.
  * Bump Standards-Version: to 3.9.4; no changes necessary.
  * Update debian/copyright: Set Format: correctly, bump years and add a
    stanza for binary/*.
  * Increase debian/compat to 9 and change the build-dependency on debhelper
    accordingly.

 -- Michael Schutte <michi@debian.org>  Fri, 10 May 2013 23:07:00 +0200

dactyl (1.0-1) experimental; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add myself to Uploaders.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 28 Jul 2012 16:29:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Schutte <michi@debian.org>
-Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.19~)
-Standards-Version: 3.9.2
+Uploaders: Michael Schutte <michi@debian.org>, Jérémy Bobbio <lunar@debian.org>
+Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.19~)
+Standards-Version: 3.9.5
 Homepage: http://dactyl.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-mozext/dactyl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mozext/dactyl.git
+Vcs-Git: git://anonscm.debian.org/pkg-mozext/dactyl.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-mozext/dactyl.git
 
 Package: xul-ext-pentadactyl
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		done
 
 UPSTREAM_REPO=../upstream
-UPSTREAM_REVISION=pentadactyl-1.0rc1
+UPSTREAM_REVISION=7094
 UPSTREAM_DEST=$(shell pwd)/dactyl.tar.gz
 
 get-orig-source:
@@ -44,6 +44,7 @@
 	hg --cwd $(UPSTREAM_REPO) update
 	hg --cwd $(UPSTREAM_REPO) archive \
 		-r $(UPSTREAM_REVISION) -p dactyl \
-		-X .hgtags -X common/javascript.vim \
+		-X .hgtags -X .hgsub -X .hgsubstate -X .hgignore \
+		-X common/javascript.vim \
 		-t tgz $(UPSTREAM_DEST)
 	test ! -f .hg-repo-created || ( rm -rf $(UPSTREAM_REPO); rm -f .hg-repo-created )

=== debian/watch ===
# dactyl is maintained in a mercurial repo at
#   http://code.google.com/p/dactyl
# and isn’t released as a tarball

## dactyl 1.2~r20151231

=== debian/changelog ===
dactyl (1.2~r20151231-1) unstable; urgency=medium

  * New revision taken from the upstream Git repository at
    <https://github.com/5digits/dactyl.git>, commit 4904fb5.
    - Compatible with Iceweasel/Firefox up to version 46, closes: #809379.
  * Update project URLs to point to Github instead of Google Code.
  * Add Breaks: ${xpi:Breaks} to control.
  * Remove the hg-based get-orig-source rule now that upstream is in Git.

 -- Michael Schutte <michi@debian.org>  Fri, 01 Jan 2016 15:48:25 +0100

dactyl (1.2~hg7166-1) unstable; urgency=medium

  * Thank you for the NMU, Don!
  * New upstream revision 7166 from the upstream Mercurial repository at
    <https://code.google.com/p/dactyl/>.
    - Supports Iceweasel/Firefox versions up to 39, closes: #785300.
  * Apply a patch by Chris Lamb to make the build reproducible, closes: #776618.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Michael Schutte <michi@debian.org>  Tue, 19 May 2015 15:47:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Schutte <michi@debian.org>, Jérémy Bobbio <lunar@debian.org>
-Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.19~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.23~)
+Standards-Version: 3.9.6
 Homepage: http://dactyl.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/dactyl.git
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-mozext/dactyl.git
@@ -15,6 +15,7 @@
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
+Breaks: ${xpi:Breaks}
 Description: Vim-inspired, keyboard-accessible user interface for Iceweasel/Firefox
  This Iceweasel/Firefox extension makes it possible to control the
  browser almost entirely by keyboard, in a manner similar to the Vim

=== debian/rules ===
#!/usr/bin/make -f

PACKAGES=pentadactyl # teledactyl melodactyl
VERSION=$(shell dpkg-parsechangelog | \
	sed -n -e '/^Version:/ { s/^Version:\s*//; s/[^a-z0-9]/_/g; p }')
BUILD_DATE=$(shell date --date="$(shell dpkg-parsechangelog --show-field Date)" "+%Y/%m/%d %H:%M:%S")

%:
	dh $@ --with xul-ext

# this silliness is needed due to the binary/ directory in the project root
.PHONY: binary
binary:
	dh binary --with xul-ext

override_dh_auto_build:
	make DIRS=$(PACKAGES) MANGLE=chrome XPI_FILES='bootstrap.js NEWS' BUILD_DATE="$(BUILD_DATE)" xpi

override_dh_auto_install:
	for PACKAGE in $(PACKAGES); \
		do install-xpi -p xul-ext-$$PACKAGE downloads/$$PACKAGE-*.xpi; \
		done

override_dh_auto_clean:
	make DIRS=$(PACKAGES) clean
	for PACKAGE in $(PACKAGES); \
		do rm -f $$PACKAGE/chrome.zip; \
		done

override_dh_installchangelogs:
	for PACKAGE in $(PACKAGES); \
		do dh_installchangelogs -p xul-ext-$$PACKAGE $$PACKAGE/NEWS; \
		done

## dactyl 1.2~r20170308

=== Makefile ===
DIRS = teledactyl pentadactyl melodactyl
TARGETS = clean distclean doc help info jar release xpi
.SILENT:

all: xpi ;

$(TARGETS:%=\%.%):
	echo MAKE $@
	$(MAKE) -C $* $(@:$*.%=%)

$(TARGETS):
	$(MAKE) $(DIRS:%=%.$@)

=== pentadactyl/Makefile ===
#### configuration

NAME          = pentadactyl

FIREFOX      ?= firefox
HOSTAPP      ?= $(FIREFOX)
PROFILEPATHS ?= "$$HOME/.mozilla/firefox" \
		"$$HOME/Library/Application Support/Firefox" \
		"$$APPDATA/Mozilla/Firefox/Profiles" \
		"$$AppData/Mozilla/Firefox/Profiles"

include ../common/Makefile

=== teledactyl/locale/en-US/Makefile ===
NAME = teledactyl
BASE = ../../../common
include $(BASE)/Makefile.doc

=== debian/changelog ===
dactyl (1.2~r20170308-1) unstable; urgency=medium

  * New revision taken from the upstream Git repository at
    <https://github.com/5digits/dactyl.git>, commit 0043f8d.
    - Compatible with Firefox up to version 52, closes: #863947, #818300.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update anonscm.debian.org URIs in debian/control.
  * Remove unused dpkg-parsechangelog incantation from debian/rules (back from
    when we pulled from the old upstream hg repo).
  * Use $SOURCE_DATE_EPOCH to facilitate reproducible building in
    debian/rules.  Build-depend on debhelper >= 9.20151004 to make sure it's
    available.
  * Use the preferred https: URI for Format: in debian/copyright.

 -- Michael Schutte <michi@debian.org>  Mon, 19 Jun 2017 21:46:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Schutte <michi@debian.org>, Jérémy Bobbio <lunar@debian.org>
-Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.23~)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.20151004), mozilla-devscripts (>= 0.23~)
+Standards-Version: 4.0.0
 Homepage: http://dactyl.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-mozext/dactyl.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-mozext/dactyl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/dactyl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/dactyl.git
 
 Package: xul-ext-pentadactyl
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
 
 PACKAGES=pentadactyl # teledactyl melodactyl
-VERSION=$(shell dpkg-parsechangelog | \
-	sed -n -e '/^Version:/ { s/^Version:\s*//; s/[^a-z0-9]/_/g; p }')
-BUILD_DATE=$(shell date --date="$(shell dpkg-parsechangelog --show-field Date)" "+%Y/%m/%d %H:%M:%S")
+DATE_FMT=%Y-%m-%d %H:%M:%S
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
+else
+    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
+endif
 
 %:
 	dh $@ --with xul-ext

=== debian/watch ===
# dactyl is maintained in a Git repo at
#   https://github.com/5digits/dactyl
# and isn’t released as a tarball
